%define pkg_name        HTML-TagReader
%define pkg_version     1.08
%define rpm_pkg_version 1.08
%define rpm_pkg_release 4.n0i.8

Summary:       Perl extension module for reading html/sgml/xml files by tags
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/G/GU/GUS/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
The module implements a fast and small object oriented way
of processing any kind of html/sgml/xml files by tag.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_eol}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -b -m}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.08-4.n0i.8
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 1.08-3.n0i.7
- automatic rebuild (perl 5.8.8)

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 1.08-2.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:1.08-1.n0i.5
- automatic rebuild (perl 5.8.6)

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:1.08-1.n0i.4
- version 1.08

* Wed May 05 2004 Marius Feraru <altblue@n0i.net> 0:1.06-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Sun Feb 01 2004 Marius FERARU <altblue@n0i.net> 0:1.06-0.n0i.3
- version 1.06
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Fri Sep 26 2003 Marius FERARU <altblue@n0i.net> 1.05-0.n0i
- version 1.05
- spec file (re?)created using N0i::CPAN::RPMizer/2003092601
